<?php
/**
 *
 * @author  ahrasis http://elk.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     FASIF: Fix Avatar Size In Forum
 *
 */

if (!defined('ELK'))
	die('No access...');

function FASIF_Main()
{
	global $modSettings, $context;
	
	// Load the language
	loadLanguage('FASIF');

	// Add CSS
	if (!empty($modSettings['fasif_enable'])) {
	$context['html_headers'] .= '
	<style type="text/css">#forumposts li.poster_avatar img.avatar {height:'. $modSettings['fasif_height_post'].'; width:'.$modSettings['fasif_width_post'].';} #personal_messages li.poster_avatar img.avatar {height:'.$modSettings['fasif_height_pm'].'; width:'.$modSettings['fasif_width_pm'].';} #profilecenter div#basicinfo img.avatar {height:'.$modSettings['fasif_height_profile'].'; width:'.$modSettings['fasif_width_profile'].';}
	</style>
	';
	}
}

function FASIF_Settings(&$config_vars)
{
	global $txt;
	
	// Load the language
	loadLanguage('FASIF');

	$fasif = array(
			// Add Settings
			array('check', 'fasif_enable'),
			array('text', 'fasif_height_post'),
			array('text', 'fasif_width_post'),
			array('text', 'fasif_height_pm'),
			array('text', 'fasif_width_pm'),
			array('text', 'fasif_height_profile'),
			array('text', 'fasif_width_profile'),
			'',
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $fasif);
}
?>